- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Utils::Io::Xml::Sax::CallbackStore< Type > Class Template Reference

`#include <CallbackStore.h>`

Inheritance diagram for Mers::Utils::Io::Xml::Sax::CallbackStore< Type >:

[legend]
Collaboration diagram for Mers::Utils::Io::Xml::Sax::CallbackStore< Type >:

[legend]
List of all members.

## Public Member Functions
| CallbackStore ()
virtual void | handleContent (Type data, const XMLCh *element)
Type | get ()
## Protected Attributes
Type | m_Data

## Detailed Description

### template<typename Type>
class Mers::Utils::Io::Xml::Sax::CallbackStore< Type >

This class stores the result of a callback.

Definition at line 26 of file CallbackStore.h.

## Constructor & Destructor Documentation

template<typename Type>

Mers::Utils::Io::Xml::Sax::CallbackStore< Type >::CallbackStore | ( |  | ) | `[inline]`

Constructs this object.

Definition at line 32 of file CallbackStore.h.

## Member Function Documentation

template<typename Type>

virtual void Mers::Utils::Io::Xml::Sax::CallbackStore< Type >::handleContent | ( | Type | data,
|  | const XMLCh * | element |
| ) |  |  | `[inline, virtual]`

Handles a single piece of data. The receiving party assumes ownership of the data, should it be a pointer.

Parameters:

  | data | The data that was loaded.
  | element | The name of the element that generated this object.

Implements Mers::Utils::Io::Xml::Sax::ContentCallback< Type >.

Definition at line 46 of file CallbackStore.h.

template<typename Type>

Type Mers::Utils::Io::Xml::Sax::CallbackStore< Type >::get | ( |  | ) | `[inline]`

Gets the data and then clears the data internally. Ownership of the object is transfered if the data is a pointer.

Definition at line 55 of file CallbackStore.h.

Referenced by Mers::Models::Base::Io::Xml::Sax::BMAssignmentCH::endElement().

The documentation for this class was generated from the following file:

- /Users/fpy/titan-1-5-MBARI/Mers/Utils/Io/Xml/Sax/CallbackStore.h